/* You can add global styles to this file, and also import other style files */
@tailwind base;
@tailwind components;
@tailwind utilities;

:root {
  color-scheme: dark light;
}

html {
  font-family: 'Roboto', sans-serif;
  scroll-behavior: smooth;
}

body {
  color: #fff;
  position: relative;
  flex-direction: column;
  min-height: 100vh;
  overscroll-behavior: none;
}

@media (prefers-reduced-motion: reduce) {
  html {
    scroll-behavior: auto;
  }
}

@media (prefers-color-scheme: dark) {
  body {
    color: rgba(255, 255, 255, 0.9);
  }
}

html {
  animation: blur linear both 0.5s;
  animation-timeline: scroll();
  animation-range: 0 500px;
}

@keyframes blur {
  to {
    backdrop-filter: blur(20px);
    display: flex;
    flex-direction: row;
    align-items: center;
    background-color: rgb(229, 229, 229);
    border-radius: 9999px;
  }
}

@media (prefers-color-scheme: dark) {
  @keyframes blur {
    from {
      border: 0px;
    }
    to {
      box-shadow:
        0px 5px 50px -5px rgba(8, 8, 8, 0.1),
        0px 0px 0 1px rgba(15, 15, 15, 0.3);
      background: rgba(32, 32, 32, 0.3);
      backdrop-filter: blur(20px);
      display: flex;
      flex-direction: row;
      align-items: center;
      background-color: rgba(0, 0, 0, 0.3);
      border-radius: 9999px;
    }
  }
}
